configuration=
{
	daemon=false, --daemon mode
	instancesCount=-1, --maximum cores
	pathSeparator="/",
	logAppenders=
	{
		{
			name="console appender",
			type="coloredConsole",
			level=6
		},
		{
			name="file appender",
			type="file",
			level=6,
			fileName="../logs/evostream",
			newLineCharacters="\n",
			fileHistorySize=100,
			fileLength=1024*1024,
			singleLine=true,
			clearLogsOnStart=false
		},
	},
	applications=
	{
		rootDirectory="./",
		{
			appDir="./",
			name="evostreamms",
			description="EVOSTREAM MEDIA SERVER",
			default=true,
			pushPullPersistenceFile="../config/pushPullSetup.xml",
			authPersistenceFile="../config/auth.xml",
			connectionsLimitPersistenceFile="../config/connlimits.xml",
			bandwidthLimitPersistenceFile="../config/bandwidthlimits.xml",
			ingestPointsPersistenceFile="../config/ingestpoints.xml",
			streamsExpireTimer=10,
			rtcpDetectionInterval=15,
			hasStreamAliases=false,
			hasIngestPoints=false,
			validateHandshake=false,
			aliases={"er", "live", "vod"},
			maxRtmpOutBuffer=512*1024,
			maxRtspOutBuffer=512*1024,
			hlsVersion=6,
			useSourcePts=false,
			enableCheckBandwidth=true,
			vodRedirectRtmpIp="",
			forceRtmpDatarate=false,
			sendRtspRangeHeaders=false,
			serverNameStreamPrefix="",
			runWebServer=true,
			runWebUI=true,
			mediaStorage={
				recordedStreamsStorage="../media",
				{
					description="Default media storage",
					mediaFolder="../media",
				},
				--[[
				sample={
					description="Storage example",
					mediaFolder="../media",
					metaFolder="../media",
					enableStats=false,
					clientSideBuffer=15,
					keyframeSeek=true,
					seekGranularity=0.1,
					externalSeekGenerator=false,
				}
				]]--
			},
			acceptors=
			{
				-- CLI acceptors
				{
					ip="127.0.0.1",
					port=1112,
					protocol="inboundJsonCli",
					useLengthPadding=true
				},
				{
					ip="127.0.0.1",
					port=7777,
					protocol="inboundHttpJsonCli"
				},
				{
					ip="127.0.0.1",
					port=1222,
					protocol="inboundAsciiCli",
					useLengthPadding=true
				},

				-- RTMP and clustering
				{
					ip="0.0.0.0",
					port=1935,
					protocol="inboundRtmp",
					clustering=true
				},
				{
					ip="127.0.0.1",
					port=1936,
					protocol="inboundRtmp"
				},
				{
					ip="127.0.0.1",
					port=1113,
					protocol="inboundBinVariant"
				},

				-- RTSP
				{
					ip="0.0.0.0",
					port=5544,
					protocol="inboundRtsp",
					--[[
					multicast=
					{
						ip="224.2.1.39",
						ttl=127,
					}
					]]--
				},

				-- LiveFLV ingest
				{
					ip="0.0.0.0",
					port=6666,
					protocol="inboundLiveFlv",
					waitForMetadata=true,
				},

				--[[
				-- Inbound TCP TS
				{
					ip="0.0.0.0",
					port=9998,
					localStreamName="testTcp",
					protocol="inboundTcpTs",
				},

				-- Inbound UDP TS
				{
					ip="0.0.0.0",
					port=9898,
					localStreamName="testUdp",
					protocol="inboundUdpTs",
				},
				]]--

				--HTTP Playback
				{
					ip="0.0.0.0",
					port=9999,
					protocol="inboundHttpFmp4"
				},

				--RTMPS
				{
					ip="0.0.0.0",
					port=4443,
					protocol="inboundRtmps",
					-- cipherSuite="!DEFAULT:RC4-SHA",
					sslKey="../config/server.key",
					sslCert="../config/server.cert",
				},

				-- JSONMETA
				{
					ip="0.0.0.0",
					port=8100,
					--streamname="test",
					protocol="inboundJsonMeta",
				},
				-- WebSockets JSON Metadata
				{
					ip="0.0.0.0",
					port=8210,
					protocol="wsJsonMeta",
					-- streamname="~0~0~0~"
				},
				-- WebSockets JSON Metadata over SSL
				{
					ip="0.0.0.0",
					port=8433,
					protocol="wssJsonMeta",
					-- streamname="~0~0~0~"
					sslKey="../config/server.key",
					sslCert="../config/server.cert",
				},
				-- WebSockets FMP4 Fetch
				{
					ip="0.0.0.0",
					port=8410,
					protocol="inboundWSFMP4"
				},
				-- WebSockets over SSL FMP4 Fetch
				--[[
				{
					ip="0.0.0.0",
					port=8420,
					protocol="inboundWSSFMP4",
					sslKey="../config/server.key",
					sslCert="../config/server.cert",
				},
				]]--
			},
			--[[
			deviceStreams=
			{
				{
					name="camera01",
					video=
					{
						type="v4l2",
						path="/dev/video0",
					},
					audio=
					{
						type="v4l2",
						path="/dev/video1",
					},
				},
			},
			autoDASH=
			{
				targetFolder="../evo-webroot",
			},
			autoHLS=
			{
				targetFolder="../evo-webroot",
			},
			autoHDS=
			{
				targetFolder="../evo-webroot",
			},
			autoMSS=
			{
				targetFolder="../evo-webroot",
			},
			]]--
			--[[
			authentication=
			{
				rtmp=
				{
					type="adobe",
					encoderAgents=
					{
						"FMLE/3.0 (compatible; FMSc/1.0)",
						"Wirecast/FM 1.0 (compatible; FMSc/1.0)",
						"EvoStream Media Server (www.evostream.com)"
					},
					usersFile="../config/users.lua"
					--verifierUri="http://authserver/verifier.php",
					--token="secretstring",
				},
				rtsp=
				{
					usersFile="../config/users.lua",
					--authenticatePlay=false,
				},
				--ws=
				--{
				--	token="",
				--},
			},
			]]--
			eventLogger=
			{
				--customData=123,
				sinks=
				{
					--[=[
					{
						type="file",
						--[[
						customData=
						{
							some="string",
							number=123.456,
							array={1, 2.345, "Hello world", true, nil}
						},
						]]--
						filename="../logs/events.txt",
						format="text",
						--format="xml",
						--format="json",
						--format="w3c",
						--[[
						timestamp=true,
						appendTimestamp=true,
						appendInstance=true,
						fileChunkLength=43200, -- 12 hours (in seconds)
						fileChunkTime="18:00:00",
						timezone="", -- for Unix OS's only, case-sensitive (e.g. Japan, Asia/Manila)
						]]--
						enabledEvents=
						{	-- common events enabled by default for eventLogger type "file":
							"inStreamCreated",
							"outStreamCreated",
							-- NOTE: add more events by copying items from the sorted list of VALID EVENTS below
						},
					},
					]=]--
					{
						type="RPC",
						url="http://127.0.0.1:4000/evowebservices",
						serializerType="JSON",
						enabledEvents=
						{	-- common events enabled by default for eventLogger type "RPC":
							"inStreamCreated",
							"inStreamClosed",
							"outStreamCreated",
							"outStreamClosed",
							"timerTriggered",
							"hdsMasterPlaylistUpdated",
							"hdsChildPlaylistUpdated",
							"hdsChunkClosed",
							"hdsChunkDeleted",
							"hlsMasterPlaylistUpdated",
							"hlsChunkClosed",
							"hlsChunkDeleted",
							"dashPlaylistUpdated",
							"dashChunkClosed",
							"dashChunkDeleted",
						},
					},
					{
						type="RPC",
						url="http://127.0.0.1:4100/streams/update-list",
						serializerType="JSON",
						enabledEvents=
						{	-- common events enabled by default for eventLogger type "RPC":
							"inStreamCreated",
							"inStreamClosed",
							"outStreamCreated",
							"outStreamClosed",
							"processStarted",
							"processStopped",
							"recordChunkCreated",
							"recordChunkClosed",
							"webRtcServiceStarted",
							"webRtcServiceStopped",
						},
					},
							--[[ sorted list of VALID EVENTS (for eventLogger type "file"):
							"applicationStart",
							"applicationStop",
							"audioFeedStopped",
							"carrierClosed",
							"carrierCreated",
							"cliRequest",
							"cliResponse",
							"dashChunkClosed",
							"dashChunkCreated",
							"dashChunkDeleted",
							"dashChunkError",
							"dashPlaylistUpdated",
							"firstPlaylistItemStart",
							"hdsChildPlaylistUpdated",
							"hdsChunkClosed",
							"hdsChunkCreated",
							"hdsChunkDeleted",
							"hdsChunkError",
							"hdsMasterPlaylistUpdated",
							"hlsChildPlaylistUpdated",
							"hlsChunkClosed",
							"hlsChunkCreated",
							"hlsChunkDeleted",
							"hlsChunkError",
							"hlsMasterPlaylistUpdated",
							"inStreamClosed",
							"inStreamCodecsUpdated",
							"lastPlaylistItemStart",
							"mediaFileDownloaded",
							"mssChunkClosed",
							"mssChunkCreated",
							"mssChunkError",
							"mssPlaylistUpdated",
							"outStreamClosed",
							"outStreamCodecsUpdated",
							"playlistItemStart",
							"processStarted",
							"processStopped",
							"protocolRegisteredToApp",
							"protocolUnregisteredFromApp",
							"recordChunkClosed",
							"recordChunkCreated",
							"recordChunkError",
							"serverStarted",
							"serverStopping",
							"streamAliasExpired",
							"streamClosed",
							"streamCodecsUpdated",
							"streamCreated",
							"streamingSessionEnded",
							"streamingSessionStarted",
							"timerClosed",
							"timerCreated",
							"timerTriggered",
							"videoFeedStopped",
							"webRtcCommandReceived",
							"webRtcPeerConnected",
							"webRtcPeerDisconnected",
							"webRtcPeerError",
							"webRtcServiceStarted",
							"webRtcServiceStopped",
							]]--
				},
			},
			transcoder={
				scriptPath="./emsTranscoder.sh",
				srcUriPrefix="rtsp://localhost:5544/",
				dstUriPrefix="-f flv tcp://localhost:6666/"
			},
			mp4BinPath="./evo-mp4writer",
			webrtc={
				sslKey="../config/server.key",
				sslCert="../config/server.cert",
			},
			--trustedCerts="../config/trustedCerts.db"
			--[[
			drm={
				type="evo",
				-- type="sample-aes",
				-- type="verimatrix",
				-- requestTimer=1,
				-- reserveKeys=10,
				-- reserveIds=10,
				-- urlPrefix="http://vcas3multicas1.verimatrix.com:12684/CAB/keyfile"
			},
			]]--
		},
	}
}
